Subject: [bug#27705] [PATCH 0/4] Make both EFI and non-EFI systems boot our disk images.

From: Danny Milosavljevic <[email-masked]>
Date: Sat, 15 Jul 2017 15:35:32 +0200

This is an alternative implementation of bug# 27695 without extra Guix-side
bootloader.  It just extends grub-efi with a few files.

I've also added all the patches needed for it to actually work into the same
patchset.

I've tested it again with disk-image, disk-image -t iso9660, qemu with UEFI
BIOS and without UEFI BIOS.  Furthermore, I tested the ISO-9660 image both
as CD and as HDD (in qemu).  It all worked.

Danny Milosavljevic (4):
  gnu: grub-efi: Add mtools input.
  build: Allow mounting of entire disks.
  gnu: grub-efi: Add grub.
  install: Use grub-efi.

 gnu/build/file-systems.scm   | 13 ++++++++-----
 gnu/packages/bootloaders.scm | 25 +++++++++++++++++++++++++
 gnu/system/install.scm       |  3 ++-
 3 files changed, 35 insertions(+), 6 deletions(-)